'use strict';

const webpack = require('webpack');
const webpackConfig = require('./config/webpack/product.config');
const log = require('./utils/log');

module.exports = function* (options) {
  yield new Promise(function (resolve, reject) {
    webpack(webpackConfig, function (err, stats) {
      if (err || stats.hasErrors()) {
        log.error('[Build failed] 构建出错');
        log.normal(err);
        console.log(stats.toString({ colors: true }));
        reject();
      }
      resolve();
    });
  });
};
